<?php

/*
 * mapCherryShortcode >> $id, $label, $jsFile, $phpFile, $group = 'other', $position = null,
 * $icon = '', $defaultValues = null, $rewrite = true, $customRenderFunction = '',
 * $closeType = 'enclosed', $resize = 'horizontal'
 *
 * MotoPress Groups :  text, image, button, media, other, wordpress
*/

global $motopress_cherry_default_title, $motopress_cherry_default_text, $motopress_cherry_default_button;

$mpcIconPath = 'plugins/motopress-cherryframework/';

mapCherryShortcode('service_box', 'Service Box', 'my_service_box.js', 'service-box.php', 'other', null,
    $mpcIconPath . 'cherry.png',
    array(
        'title'        => $motopress_cherry_default_title,
        'text'         => $motopress_cherry_default_text,
    ), false, '');

mapCherryShortcode('site_map', 'Sitemap', 'my_site_map.js', 'misc.php', 'other', null,
    $mpcIconPath . 'cherry.png',
    array(
    ), false, 'shortcode_site_map');

mapCherryShortcode('title_box', 'Title Box', 'my_title.js', 'misc.php', 'text', null,
    $mpcIconPath . 'cherry.png',
    array(
        'title'     => $motopress_cherry_default_title,
        'subtitle'  => $motopress_cherry_default_text,
    ), false, 'title_shortcode');

/*mapCherryShortcode('video_preview', 'Video Preview', 'my_video_preview.js', 'shortcodes.php', 'media', null,
    $mpcIconPath . 'cherry.png',
    array(
    ), false, 'shortcode_video_preview');
*/
mapCherryShortcode('alert_box', 'Alert Box', 'my_alert_box.js', 'alert.php', 'text', null,
    $mpcIconPath . 'cherry.png',
    array(
    ), false, 'shortcode_alert_box');

mapCherryShortcode('banner', 'Banner', 'my_banner.js', 'banner.php', 'image', null,
    $mpcIconPath . 'cherry.png',
    array(
        'banner_link'   => '#',
        'img'           => '//lorempixel.com/800/200/abstract/9/',
        'title'         => $motopress_cherry_default_title,
        'text'          => $motopress_cherry_default_text,
        'btn_text'      => $motopress_cherry_default_button,
    ), false, '');

mapCherryShortcode('button', 'Button', 'my_button.js', 'html.php', 'button', null,
    $mpcIconPath . 'cherry.png',
    array(
        'link'  => '#',
        'text'  => $motopress_cherry_default_button,
    ), false, '');

mapCherryShortcode('carousel', 'Carousel', 'my_carousel.js', 'carousel.php', 'other', null,
    $mpcIconPath . 'cherry.png',
    array(
        'num'              => 8,
        'type'             => 'post',
        'thumb'            => 'true',
        'thumb_width'      => 220,
        'thumb_height'     => 180,
        'excerpt_count'    => 12,
        'min_items'        => 3,
        'spacer'           => 18,
    ), false, 'shortcode_carousel');

mapCherryShortcode('carousel_owl', 'Carousel OWL', 'my_carousel_owl.js', 'carousel-owl.php', 'other', null,
    $mpcIconPath . 'cherry.png',
    array(
        'title'              => '',
        'posts_count'        => 10,
        'post_type'          => 'blog',
        'post_status'        => 'publish',
        'visibility_items'   => 5,
        'thumb'              => 'yes',
        'thumb_width'        => 220,
        'thumb_height'       => 180,
        'more_text_single'   => '',
        'categories'         => '',
        'excerpt_count'      => 15,
        'date'               => 'yes',
        'author'             => 'yes',
        'comments'           => 'no',
        'auto_play'          => 0,
        'display_navs'       => 'yes',
        'display_pagination' => 'yes',
    ), false, 'shortcode_carousel_owl');


mapCherryShortcode('categories', 'Categories', 'my_categories.js', 'categories.php', 'other', null,
    $mpcIconPath . 'cherry.png',
    array(
    ), false, '');

//mapCherryShortcode('chp_pricing_table', 'Pricing Table', 'my_chp_pricing_table.js', 'pricing-tables.php');

mapCherryShortcode('hero_unit', 'Hero Unit', 'my_hero_unit.js', 'hero-unit.php', 'text', null,
    $mpcIconPath . 'cherry.png',
    array(
        'title'     => $motopress_cherry_default_title,
        'text'      => $motopress_cherry_default_text,
        'btn_text'  => $motopress_cherry_default_button,
        'btn_link'  => '#',
    ), false, '');

mapCherryShortcode('icon', 'Icon', 'my_icon.js', 'html.php', 'image', null,
    $mpcIconPath . 'cherry.png',
    array(
        'icon'  => 'alert',
    ), false, '');

mapCherryShortcode('label', 'Label', 'my_label.js', 'html.php', 'text', null,
    $mpcIconPath . 'cherry.png',
    array(
    ), false, '');

mapCherryShortcode('map', 'Google Map', 'my_map.js', 'html.php', 'other', null,
    $mpcIconPath . 'cherry.png',
    array(
        'src' => 'https://www.google.com/maps/embed?pb=!1m14!1m12!1m3!1d26081603.294420466!2d-95.677068!3d37.06250000000001!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!5e0!3m2!1sen!2s!4v1403103666302',
        'width'     => '100%',
        'height'    => '200'
    ), false, '');

mapCherryShortcode('mini_posts_grid', 'Mini Posts Grid', 'my_mini_posts_grid.js', 'mini-posts-grid.php', 'other', null,
    $mpcIconPath . 'cherry.png',
    array(
        'numb'  => '8',
    ), false, '');

mapCherryShortcode('mini_posts_list', 'Mini Posts List', 'my_mini_posts_list.js', 'mini-posts-list.php', 'other', null,
    $mpcIconPath . 'cherry.png',
    array(
        'numb'          => '3',
        'excerpt_count' => '10',
    ), false, '');

mapCherryShortcode('post_cycle', 'Post Cycle', 'my_post_cycle.js', 'post-cycle.php', 'other', null,
    $mpcIconPath . 'cherry.png',
    array(
        'num'              => '5',
        'effect'           => 'slide',
        'thumb'            => 'true',
        'thumb_width'      => '150',
        'thumb_height'     => '150',
        'more_text_single' => $motopress_cherry_default_button,
        'excerpt_count'    => '10',
        'pagination'       => 'true',
        'navigation'       => 'true',
    ), false, 'shortcode_post_cycle');

mapCherryShortcode('posts_grid', 'Posts Grid', 'my_posts_grid.js', 'posts-grid.php', 'other', null,
    $mpcIconPath . 'cherry.png',
    array(
        'columns'           => 2,
        'rows'              => 2,
        'thumb_width'       => '370',
        'thumb_height'      => '250',
        'excerpt_count'     => '10',
        'link'              => 'no',
        'link_text'         => $motopress_cherry_default_button
    ), false, '');

mapCherryShortcode('posts_list', 'Posts List', 'my_posts_list.js', 'posts-list.php', 'other', null,
    $mpcIconPath . 'cherry.png',
    array(
        'numb'      => '5',
        'link_text' => $motopress_cherry_default_button
    ), false, '');

mapCherryShortcode('progressbar', 'Progressbar', 'my_progressbar.js', 'progressbar.php', 'other', null,
    $mpcIconPath . 'cherry.png',
    array(
        'value'        => '50',
    ), false, 'shortcode_progressbar');

mapCherryShortcode('recent_comments', 'Recent Comments', 'my_recentcomments.js', 'shortcodes.php', 'other', null,
    $mpcIconPath . 'cherry.png',
    array(
        'num'              => '5',
    ), false, 'shortcode_recent_comments');

mapCherryShortcode('recent_posts', 'Recent Posts', 'my_recentposts.js', 'shortcodes.php', 'other', null,
    $mpcIconPath . 'cherry.png',
    array(
        'num'              => '5',
        'thumb_width'      => '120',
        'thumb_height'     => '120',
        'excerpt_count'    => '10',
    ), false, 'shortcode_recent_posts');

mapCherryShortcode('recenttesti', 'Recent Testimonials', 'my_recenttesti.js', 'shortcodes.php', 'other', null,
    $mpcIconPath . 'cherry.png',
    array(
        'num'           => '5',
        'excerpt_count' => '30',
    ), false, 'shortcode_recenttesti');

mapCherryShortcode('roundabout', 'Roundabout', 'my_roundabout.js', 'roundabout.php', 'other', null,
    $mpcIconPath . 'cherry.png',
    array(
        'num'   => 3,
    ), false, 'shortcode_roundabout');

mapCherryShortcode('google_map_api', 'Google Map Api', 'my_google_map_api.js', 'html.php', 'other', null,
    $mpcIconPath . 'cherry.png',
    array(
        'lat_value'      => '41.850033',
        'lng_value'      => '-87.6500523',
        'zoom_value'     => '8',
    ), false, 'google_map_api_shortcode');

mapCherryShortcode('tags', 'Tags', '', 'shortcodes.php', 'other', null,
    $mpcIconPath . 'cherry.png',
    array(
    ), false, 'shortcode_tags', 'self-closed');

mapCherryShortcode('hr', 'Horizontal Rule', '', 'html.php', 'other', null,
    $mpcIconPath . 'cherry.png',
    array(
    ), false, 'hr_shortcode', 'self-closed');

/*mapCherryShortcode('vr', 'Vertical Rule', '', 'html.php', 'other', null,
    $mpcIconPath . 'cherry.png',
    array(
    ), false, 'vr_shortcode', 'self-closed');
*/
mapCherryShortcode('content_box', 'Content Box', '', 'shortcodes.php', 'other', null,
    $mpcIconPath . 'cherry.png',
    array(
    ), false, 'content_box_shortcode');

mapCherryShortcode('extra_wrap', 'Extra Wrap', '', 'html.php', 'other', null,
    $mpcIconPath . 'cherry.png',
    array(
    ), false, 'extra_wrap_shortcode');

